kind: pipeline
type: docker
name: check-build

steps:
  - name: check
    image: denoland/deno:alpine-1.34.3
    commands:
      - ./build.sh
    when:
      event:
      - push

  - name: build docker image
    image: plugins/docker
    settings:
      registry: registry.greenbaum.cloud
      repo: registry.greenbaum.cloud/pub_solar/miom.space
      tags:
        - latest
        - ${DRONE_TAG}
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
    when:
      event:
      - tag

---
kind: pipeline
type: docker
name: deploy

steps:
  - name: deploy
    image: registry.greenbaum.cloud/library/triton-docker
    environment:
      DOCKER_USERNAME:
        from_secret: docker_username
      DOCKER_PASSWORD:
        from_secret: docker_password
      TRITON_SSH_KEY:
        from_secret: triton_ssh_key
      TRITON_ACCOUNT:
        from_secret: triton_account
      TRITON_URL: https://lev-1.api.greenbaum.cloud
      TRITON_KEY_ID: 59:9f:5a:6f:c4:e2:3b:32:7f:13:1f:de:b7:59:80:85
      PROJECT_NAME: miomspace
    commands:
      - mkdir -p $HOME/.ssh $HOME/.docker
      - echo -e "$TRITON_SSH_KEY" > $HOME/.ssh/id_rsa
      - /usr/local/bin/docker-entrypoint.sh ./deploy.sh $DRONE_TAG

trigger:
    event:
      - promote
      - rollback
    target:
      - production
